#
# spec file for package ibus
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           ibus
Version:        1.3.8
Release:        4.3.1
License:        LGPL V2+
Url:            http://code.google.com/p/ibus/
Source0:        http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:        xim.d-ibus  
Source2:        ibus-README.suse  
Source3:        xim.ibus.suse.template 
Patch0:         ibus-python-install-dir.patch
Patch1:         ibus-disable-portability-check.patch
Patch2:         ibus-disable-introspect.patch
Group:          System/I18n/Chinese
Summary:        Intelligent Input Bus for Linux OS
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         /usr/bin/touch
#Provides:       locale(ja;ko;zh)
#Recommends:     ibus-gtk ibus-qt

BuildRequires:  gettext-devel gtk-doc libtool python
BuildRequires:  dbus-1-devel dbus-1-glib-devel dbus-1-python-devel gtk2-devel
BuildRequires:  gconf2-devel python-gobject2-devel update-desktop-files
BuildRequires:  fdupes gobject-introspection-devel intltool iso-codes-devel
%if %suse_version >= 1100
BuildRequires:  pcre-devel
%endif
Requires:       glib2 python-gtk dbus-1-python notification-daemon iso-codes gconf2 python-xdg python-notify gobject-introspection
%gconf_schemas_prereq

%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define gtk_binary_version %(pkg-config  --variable=gtk_binary_version gtk+-2.0)

%description
IBus means Intelligent Input Bus. It is a new input framework for Linux OS. It provides
full featured and user friendly input method user interface. It also may help
developers to develop input method easily.

%package -n libibus2
License:        LGPL V2+
Summary:        IBus libraries
Group:          System Environment/Libraries

%description -n libibus2
This package contains the libraries for IBus

%package gtk
License:        LGPL V2+
Summary:        IBus im module for gtk2
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
%gtk2_immodule_requires

%description gtk
This package contains ibus im module for gtk2

%package devel
License:        LGPL V2+
Summary:        Development tools for ibus
Group:          Development/Libraries
Requires:       libibus2 = %{version}-%{release}
Requires:       glib2-devel
Requires:       dbus-1-devel
Requires:       gtk-doc

%description devel
The ibus-devel package contains the header files and developer
docs for ibus.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoreconf -fi
intltoolize -f
%configure --disable-static \
		   --disable-iso-codes-check \
                   --disable-gobject-introspection \
		   --enable-gtk-doc \
		   --disable-qt4-immodule \
	           --libexecdir=%{_prefix}/%{_lib}/ibus
make %{?jobs:-j %jobs}

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/etc/X11/xim.d/  
install -m 644 $RPM_SOURCE_DIR/xim.d-ibus $RPM_BUILD_ROOT/etc/X11/xim.d/ibus
sed -i 1i"SYS_LIB=%{_lib}" $RPM_BUILD_ROOT/etc/X11/xim.d/ibus

 pushd  $RPM_BUILD_ROOT/etc/X11/xim.d/  
     for lang in en zh_TW zh_HK zh_CN zh_SG ko_KR ja_JP ; do  
         mkdir $lang  
     pushd $lang  
             ln -s ../ibus 10-ibus  
     popd  
     done  
 popd

rm -f $RPM_BUILD_ROOT/%{_libdir}/gtk-2.0/%{gtk_binary_version}/immodules/im-ibus.*a
rm -f $RPM_BUILD_ROOT/%{_libdir}/libibus.*a

rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/ibus.desktop

ln -sf %{_datadir}/icons/hicolor/48x48/apps/ibus-keyboard.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/ibus-keyboard.png

%suse_update_desktop_file  %name Utility DesktopUtility
%suse_update_desktop_file  ibus-setup System SystemSetup

%find_lang %{name}
%find_gconf_schemas 
cat %{name}.schemas_list %{name}.lang > %{name}.lst
%fdupes -s $RPM_BUILD_ROOT

%clean
rm -rf %buildroot

%pre -f %{name}.schemas_pre

%post gtk
%gtk2_immodule_post

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%postun gtk
%gtk2_immodule_postun

%post -n libibus2 -p /sbin/ldconfig

%postun -n libibus2 -p /sbin/ldconfig

%files -f %{name}.lst
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%doc $RPM_SOURCE_DIR/xim.ibus.suse.template  
%doc $RPM_SOURCE_DIR/ibus-README.suse
%dir /etc/X11/xim.d
/etc/X11/xim.d/* 
%{python_sitelib}/ibus
%dir %{_datadir}/ibus/
%{_bindir}/ibus-daemon
%{_bindir}/ibus-setup
%{_datadir}/ibus/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/*
%{_prefix}/%{_lib}/ibus
%dir %{_datadir}/vala
%{_datadir}/vala/*

%files -n libibus2
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files gtk
%defattr(-,root,root,-)
%{_libdir}/gtk-2.0/%{gtk_binary_version}/immodules/im-ibus.so

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/gtk-doc/html/*
%{_libdir}/pkgconfig/*

%changelog
* Wed Mar  9 2011 tiwai@suse.de
- Fix post scripts to use new gtk2_immodule_* macros (bnc#678080)
* Wed Nov 17 2010 mxwu@novell.com
- Upgrade to ibus 1.3.8:
  * Fix CPU 100%% usage with signal.SIGCHLD
  * Destroy existing connection before creating a new
    connection, and only create the fake context once.
  * Move the candidate window just above the cursor
    when the window and a preedit string overlap.
  * Enable key snooper by default again
  * Always consume the hotkey, even if the hotkey
    associated engine already activated.
  * Fix race condition in bus_ibus_impl_create_engine()
  * Fix a build error of IBus-1.0.gir with gobject-introspection 0.9.6
  * Implement stress tool for ibus.
  * Fix a build error with GTK3 gdkkeysyms.h
  * Add time info in log message from satorux@chromium.org
  * Fix memory leak in ibus_input_context_process_key_event by Fujiwarat
  * Fix segv in bus_engine_proxy_process_key_event_reply_cb
  * Fix property issue.
  * Updated many translations.
* Tue Jul 13 2010 mxwu@novell.com
- Add ibus-disable-portability-check.patch
  * Disable automake's portability check, make OBS happy.
* Mon Jul 12 2010 mxwu@novell.com
- Upgrade to 1.3.6:
  * Support gtk3
  * Support gobject-introspection
  * Support vala language
  * Fix some bugs
* Tue May 11 2010 mxwu@novell.com
- Upgrade to 1.3.3:
  * Add configure option to disable key snooper in gtk im context
  * Fix a crash in ibus-x11
  * Fix a crash in ibus-daemon
  * For show language bar option, use {Embedded in menu} to replace {Never}.
  * Update some translation files
  * Fix crash if ibus loads engine.xml failed
  * Fix focus problems
  * Does not hard code iso-codes location
  * Fix link problem with binutils-gold
  * Updated translations
  * Optimize database query method for better performance
  * Many bug fixing
  * use floating IBusObject
  * support share one global engine in all applications
  * some ui improvements
  * many bug fixing
* Fri Mar 26 2010 tiwai@suse.de
- move post scriptlets to install
* Wed Mar 24 2010 tiwai@suse.de
- Split libibus1 subpackage
- Misc clean-ups in spec file, avoid unnecessary workarounds
* Thu Jan 28 2010 mxwu@novell.com
- Add ibus-python-install-dir.patch
  - Fix the installing path on X86_64
* Thu Jan 28 2010 mxwu@novell.com
- Initial import
